Bug 59324 - Unable to boot off of a mylex controller (on ds20e)
Unable to boot off of a mylex controller (on ds20e)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
Beth Uptagrafft
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-05 09:15 EST by harry.heinisch
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-25 16:00:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description harry.heinisch 2002-02-05 09:15:15 EST
Description of Problem:

On a ds20e with mylex controller.

The installer properly recognizes and loads the DAC960 driver but system will 
not boot  after installation completes


Version-Release number of selected component (if applicable):


How Reproducible:  every time


Steps to Reproduce:
1. install  RH 7.2 on a system disk on a MYLEX controller
2. 
3. 

Actual Results:

system fails to boot  "kernel panic: VFS: unable to mount root fs on 30.30  

Expected Results: Installed kernel should load DAC960 driver and be able to 
mount /


Additional Information: 

Phil.sullivan@compaq.com
Comment 1 harry.heinisch 2002-02-05 14:21:32 EST
This should have been placed against alpha platform not i386. My error....

Phil


Comment 2 harry.heinisch 2002-02-07 08:38:52 EST
This panic also occurs on the DS10 platform, os its a issue with both smp and 
uni processer kernels, and with both single channel and 3 channel mylex 
controllers.

If I boot off another disk I'm able to insmod the DAC960 driver, mount the 
raid set and see that the DAC960 driver  does appear in modules.conf. (on the 
raid set)

aboot.conf shows the correct drive for root - just cant mount it.

I successfully installed on the ds20 using old 7.1  bits and the DAC960 driver 
was loaded properly.





Comment 3 Beth Uptagrafft 2002-02-07 10:13:31 EST
Unfortunately, we don't have a mylex controller, so we will not be able to 
reproduce this issue.
Comment 4 harry.heinisch 2002-02-07 13:39:16 EST
I just tested installing the /boot swap and  /  on a scsi disk (not on the 
mylex) with /home located on the raid set off the mylex and it also fails - 
doesn't load the driver.

How would you like to proceed? THe mylex controllers are the only supported 
RAID controllers we have and they *used* to work....  Any specifics you'd like 
me to provide/test? 

Its easy to reproduce on my end!

Phil.sullivan@compaq.com
Comment 5 harry.heinisch 2002-02-26 16:10:09 EST
RC1 exhibits same behavior. 

Cannot install on a raid set. 

Has a mylex controller been found yet so you can reproduce the problem?

Phil.sullivan@compaq.com 
Comment 6 Beth Uptagrafft 2002-02-26 16:38:32 EST
Hello.  As stated in last week's meeting, we did find the mylex controller 
after the move.  We were then looking for disks.
Comment 7 harry.heinisch 2002-02-28 09:14:34 EST
Hello - 

I didn't attend the wednesday meeting - so was only aware of the status that 
was posted here.   

For the purpose of duplicating the problem  a single internal disk defined as 
a JBOD a will do the trick.

phil
Comment 8 Phil Copeland 2002-03-06 15:18:29 EST
Current status: 

DAC960: ***** DAC960 RAID Driver Version 2.4.10 of 23 July 2001 *****
DAC960: Copyright 1998-2001 by Leonard N. Zubkoff <lnz@dandelion.com>
DAC960#0: Configuring Mylex DAC1164P PCI RAID Controller
DAC960#0:   Firmware Version: 5.06-0-60, Channels: 3, Memory Size: 32MB
DAC960#0:   PCI Bus: 1, Device: 8, Function: 0, I/O Address: Unassigned
DAC960#0:   PCI Address: 0xA910000 mapped at 0xFFFFFD000A910000, IRQ Channel: 23
DAC960#0:   Controller Queue Depth: 128, Maximum Blocks per Command: 128
DAC960#0:   Driver Queue Depth: 127, Scatter/Gather Limit: 33 of 33 Segments
DAC960#0:   Stripe Size: 64KB, Segment Size: 8KB, BIOS Geometry: 255/63
DAC960#0:   Physical Devices:
DAC960#0:   Logical Drives:
DAC960#0:     /dev/rd/c0d0: RAID-1, Online, 8466432 blocks, Write Thru
 rd/c0d0: unable to read partition table
DAC960#0: Physical Device 0:1 killed because of bad tag returned from drive
DAC960#0: Physical Device 0:2 killed because of bad tag returned from drive
DAC960#0: Physical Device 0:1 killed because it was removed
DAC960#0: Physical Device 0:1 is now DEAD
DAC960#0: Physical Device 0:2 is now DEAD
DAC960#0: Logical Drive 0 (/dev/rd/c0d0) is now OFFLINE


I'm trying to get the diver to acknowledge that teh disks are useable
but I'm not sure if this is a miscofiguation by myself or if teh driver is
getting upset

Phil
=--=
Comment 9 harry.heinisch 2002-03-25 15:26:09 EST
Phil-

For what its worth...another related oddity  - If a mylex controller is 
present the driver will be loaded  multiple times at boot (anywhere from 1 - 3 
times as shown by the log) - BUT - lsmod shows that its not loaded and any 
attempt to used the devices (mount, fdisk) fails, confirming that the driver 
didn't *really* load. 

I have not seen it load multiple times with a single channel controller but   
I have seen it load both 2 and 3 times with a 3 channel. 

In every case an subsequent manual insmod of the driver will work.

It was suggested (not sure by who) that the driver would load if fstab tried 
to mount a device off of it - but that is not my experience... I need to 
insmod it after the system is up.

Heres a snippet from dmesg - the first two instance of the driver loading are 
from the boot - the third is my manual insmod.   the first two times is 
flushes cache,  the third time it doesn't flush ..

Phil 

md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 4096 buckets, 64Kbytes
TCP: Hash tables configured (established 32768 bind 32768)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
VFS: Mounted root (ext2 filesystem) readonly.
Freeing unused kernel memory: 424k freed
Adding Swap: 1048808k swap-space (priority -1)
DAC960: ***** DAC960 RAID Driver Version 2.4.10 of 23 July 2001 *****
DAC960: Copyright 1998-2001 by Leonard N. Zubkoff <lnz@dandelion.com>
DAC960#0: Configuring Mylex DAC1164P PCI RAID Controller
DAC960#0:   Firmware Version: 5.07-0-01, Channels: 3, Memory Size: 32MB
DAC960#0:   PCI Bus: 1, Device: 8, Function: 0, I/O Address: Unassigned
DAC960#0:   PCI Address: 0xA310000 mapped at 0xFFFFFD000A310000, IRQ Channel: 
39
DAC960#0:   Controller Queue Depth: 128, Maximum Blocks per Command: 128
DAC960#0:   Driver Queue Depth: 127, Scatter/Gather Limit: 33 of 33 Segments
DAC960#0:   Stripe Size: 64KB, Segment Size: 8KB, BIOS Geometry: 128/32
DAC960#0:   Physical Devices:
DAC960#0:     1:0  Vendor: DEC       Model: RZ28     (C) DEC  Revision: 442E
DAC960#0:          Serial Number: PCB=ZG51211326  ; HDA=000051
DAC960#0:          Disk Status: Online, 4110336 blocks
DAC960#0:     1:2  Vendor: DEC       Model: RZ28     (C) DEC  Revision: 442E
DAC960#0:          Serial Number: PCB=ZG51008627  ; HDA=000051
DAC960#0:          Disk Status: Online, 4110336 blocks
DAC960#0:     1:3  Vendor: DEC       Model: RZ28     (C) DEC  Revision: 442E
DAC960#0:          Serial Number: PCB=ZG51312482  ; HDA=000051
DAC960#0:          Disk Status: Online, 4110336 blocks
DAC960#0:     1:4  Vendor: DEC       Model: RZ28     (C) DEC  Revision: 442E
DAC960#0:          Serial Number: PCB=ZG51210905  ; HDA=000051
DAC960#0:          Disk Status: Online, 4110336 blocks
DAC960#0:     1:6  Vendor: DEC       Model: RZ28     (C) DEC  Revision:442E
DAC960#0:          Serial Number: PCB=ZG51010366  ; HDA=000051
DAC960#0:   Logical Drives:
DAC960#0:     /dev/rd/c0d0: RAID-5, Online, 12331008 blocks, Write Thru
 rd/c0d0: rd/c0d0p1 rd/c0d0p2 rd/c0d0p3
DAC960#0: Flushing Cache...done
0x3bc: FIFO is 16 bytes
0x3bc: writeIntrThreshold is 1
0x3bc: readIntrThreshold is 1
0x3bc: PWord is 8 bits
0x3bc: Interrupts are ISA-Pulses
0x3bc: ECP port cfgA=0x10 cfgB=0x4b
0x3bc: ECP settings irq=7 dma=3
parport0: PC-style at 0x3bc (0x7bc) [PCSPP,TRISTATE,COMPAT,ECP]
parport0: irq 7 detected
parport0: cpp_daisy: aa5500ff(38)
parport0: assign_addrs: aa5500ff(38)
parport0: cpp_daisy: aa5500ff(38)
parport0: assign_addrs: aa5500ff(38)
DAC960: ***** DAC960 RAID Driver Version 2.4.10 of 23 July 2001 *****
DAC960: Copyright 1998-2001 by Leonard N. Zubkoff <lnz@dandelion.com>
DAC960#0: Configuring Mylex DAC1164P PCI RAID Controller
DAC960#0:   Firmware Version: 5.07-0-01, Channels: 3, Memory Size: 32MB
DAC960#0:   PCI Bus: 1, Device: 8, Function: 0, I/O Address: Unassigned
DAC960#0:   PCI Address: 0xA310000 mapped at 0xFFFFFD000A310000, IRQ Channel: 
39
DAC960#0:   Controller Queue Depth: 128, Maximum Blocks per Command: 128
DAC960#0:   Driver Queue Depth: 127, Scatter/Gather Limit: 33 of 33 Segments
DAC960#0:   Stripe Size: 64KB, Segment Size: 8KB, BIOS Geometry: 128/32
DAC960#0:   Physical Devices:
DAC960#0:     1:0  Vendor: DEC       Model: RZ28     (C) DEC  Revision: 442E
DAC960#0:          Serial Number: PCB=ZG51211326  ; HDA=000051
DAC960#0:          Disk Status: Online, 4110336 blocks
DAC960#0:     1:2  Vendor: DEC       Model: RZ28     (C) DEC  Revision: 442E
DAC960#0:          Serial Number: PCB=ZG51008627  ; HDA=000051
DAC960#0:          Disk Status: Online, 4110336 blocks
DAC960#0:     1:3  Vendor: DEC       Model: RZ28     (C) DEC  Revision: 442E
DAC960#0:          Serial Number: PCB=ZG51312482  ; HDA=000051
DAC960#0:          Disk Status: Online, 4110336 blocks
DAC960#0:     1:4  Vendor: DEC       Model: RZ28     (C) DEC  Revision: 442E
DAC960#0:          Serial Number: PCB=ZG51210905  ; HDA=000051
DAC960#0:          Disk Status: Online, 4110336 blocks
DAC960#0:     1:6  Vendor: DEC       Model: RZ28     (C) DEC  Revision: 442E
DAC960#0:          Serial Number: PCB=ZG51010366  ; HDA=000051
DAC960#0:   Logical Drives:
DAC960#0:     /dev/rd/c0d0: RAID-5, Online, 12331008 blocks, Write Thru
 rd/c0d0: rd/c0d0p1 rd/c0d0p2 rd/c0d0p3
DAC960#0: Flushing Cache...done
ip_conntrack (2044 buckets, 16352 max)
NET4: Linux IPX 0.47 for NET4.0
IPX Portions Copyright (c) 1995 Caldera, Inc.
IPX Portions Copyright (c) 2000, 2001 Conectiva, Inc.
NET4: AppleTalk 0.18a for Linux NET4.0
Linux Tulip driver version 0.9.15-pre6 (July 2, 2001)
tulip0:  EEPROM default media type Autosense.
tulip0:  Index #0 - Media 10baseT (#0) described by a 21142 Serial PHY (2) 
block.
tulip0:  Index #1 - Media 10baseT-FDX (#4) described by a 21142 Serial PHY (2) 
block.
tulip0:  Index #2 - Media 100baseTx (#3) described by a 21143 SYM PHY (4) 
block.
tulip0:  Index #3 - Media 100baseTx-FDX (#5) described by a 21143 SYM PHY (4) 
block.
eth0: Digital DS21143 Tulip rev 65 at 0xfffffd000a2f1000, 08:00:2B:86:50:D7, 
IRQ 29.
tulip1:  EEPROM default media type Autosense.
tulip1:  Index #0 - Media 10baseT (#0) described by a 21142 Serial PHY (2) 
block.
tulip1:  Index #1 - Media 10baseT-FDX (#4) described by a 21142 Serial PHY (2) 
block.
tulip1:  Index #2 - Media 100baseTx (#3) described by a 21143 SYM PHY (4) 
block.
tulip1:  Index #3 - Media 100baseTx-FDX (#5) described by a 21143 SYM PHY (4) 
block.
eth1: Digital DS21143 Tulip rev 65 at 0xfffffd000a2f2000, 08:00:2B:86:50:D8, 
IRQ 30.
tulip2:  EEPROM default media type Autosense.
tulip2:  Index #0 - Media 10baseT (#0) described by a 21142 Serial PHY (2) 
block.
tulip2:  Index #1 - Media 10baseT-FDX (#4) described by a 21142 Serial PHY (2) 
block.
tulip2:  Index #2 - Media 100baseTx (#3) described by a 21143 SYM PHY (4) 
block.
tulip2:  Index #3 - Media 100baseTx-FDX (#5) described by a 21143 SYM PHY (4) 
block.
eth2: Digital DS21143 Tulip rev 48 at 0xfffffd000a2f3000, 08:00:2B:C4:56:8E, 
IRQ 47.
eepro100.c:v1.09j-t 9/29/99 Donald Becker 
http://cesdis.gsfc.nasa.gov/linux/drivers/eepro100.html
eepro100.c: $Revision: 1.36 $ 2000/11/17 Modified by Andrey V. Savochkin 
<saw@saw.sw.com.sg> and others
eth3: OEM i82557/i82558 10/100 Ethernet, 00:08:C7:6A:07:65, IRQ 43.
  Board assembly 726837-007, Physical connectors present: RJ45
  Primary interface chip i82555 PHY #1.
  General self-test: passed.
  Serial sub-system self-test: passed.
  Internal registers self-test: passed.
  ROM checksum self-test: passed (0x04f4518b).
iSCSI version 2.0.1.8 ( 8-Aug-2001)
iSCSI control device major number 254
iSCSI: detected HBA fffffc0001753d80, host #0
scsi0 : iSCSI (2.0.1.8)
hdd: ATAPI 32X CD-ROM drive, 256kB Cache
Uniform CD-ROM driver Revision: 3.12
DAC960: ***** DAC960 RAID Driver Version 2.4.10 of 23 July 2001 *****
DAC960: Copyright 1998-2001 by Leonard N. Zubkoff <lnz@dandelion.com>
DAC960#0: Configuring Mylex DAC1164P PCI RAID Controller
DAC960#0:   Firmware Version: 5.07-0-01, Channels: 3, Memory Size: 32MB
DAC960#0:   PCI Bus: 1, Device: 8, Function: 0, I/O Address: Unassigned
DAC960#0:   PCI Address: 0xA310000 mapped at 0xFFFFFD000A310000, IRQ Channel: 
39
DAC960#0:   Controller Queue Depth: 128, Maximum Blocks per Command: 128
DAC960#0:   Driver Queue Depth: 127, Scatter/Gather Limit: 33 of 33 Segments
DAC960#0:   Stripe Size: 64KB, Segment Size: 8KB, BIOS Geometry: 128/32
DAC960#0:   Physical Devices:
DAC960#0:     1:0  Vendor: DEC       Model: RZ28     (C) DEC  Revision: 442E
DAC960#0:          Serial Number: PCB=ZG51211326  ; HDA=000051
DAC960#0:          Disk Status: Online, 4110336 blocks
DAC960#0:     1:2  Vendor: DEC       Model: RZ28     (C) DEC  Revision: 442E
DAC960#0:          Serial Number: PCB=ZG51008627  ; HDA=000051
DAC960#0:  Disk Status: Online, 4110336 blocks
DAC960#0:     1:3  Vendor: DEC       Model: RZ28     (C) DEC  Revision: 442E
DAC960#0:          Serial Number: PCB=ZG51312482  ; HDA=000051
DAC960#0:          Disk Status: Online, 4110336 blocks
DAC960#0:     1:4  Vendor: DEC       Model: RZ28     (C) DEC  Revision: 442E
DAC960#0:          Serial Number: PCB=ZG51210905  ; HDA=000051
DAC960#0:          Disk Status: Online, 4110336 blocks
DAC960#0:     1:6  Vendor: DEC       Model: RZ28     (C) DEC  Revision: 442E
DAC960#0:          Serial Number: PCB=ZG51010366  ; HDA=000051
DAC960#0:   Logical Drives:
DAC960#0:     /dev/rd/c0d0: RAID-5, Online, 12331008 blocks, Write Thru
 rd/c0d0: rd/c0d0p1 rd/c0d0p2 rd/c0d0p3


Comment 10 Phil Copeland 2002-04-22 00:08:16 EDT
Ok, the latest ISO cuts are correct and this is now a non issue

(much jumping and dancing of joy it's fixed! it's fixed!)

Phil
=--=

Note You need to log in before you can comment on or make changes to this bug.